`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 02.03.2021 17:16:08
// Design Name: 
// Module Name: relt_seq_256
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module relt_seq_256(
input wire en_256,
output reg [9:0] out_256,
input wire [9:0] adr_256); // address- 8 deep memory
// Declare a memory rom of 8 4-bit registers. The indices are 0 to 7:
(* synthesis, rom_block = "ROM_CELL XYZ01" *) reg [9:0] rom[0:255];
// (* synthesis, logic_block *) reg [3:0] rom [0:7];
initial begin
rom[255] =        10'd255;
rom[254] =         10'd254;
rom[253] =         10'd253;
rom[252] =         10'd247;
rom[251] =         10'd251;
rom[250] =         10'd239;
rom[249] =         10'd223;
rom[248] =         10'd252;
rom[247] =         10'd250;
rom[246] =         10'd249;
rom[245] =         10'd246;
rom[244] =         10'd191;
rom[243] =         10'd127;
rom[242] =         10'd245;
rom[241] =         10'd238;
rom[240] =         10'd243;
rom[239] =         10'd237;
rom[238] =         10'd222;
rom[237] =         10'd235;
rom[236] =         10'd221;
rom[235] =         10'd190;
rom[234] =         10'd248;
rom[233] =         10'd231;
rom[232] =         10'd219;
rom[231] =         10'd215;
rom[230] =         10'd189;
rom[229] =         10'd244;
rom[228] =         10'd242;
rom[227] =         10'd126;
rom[226] =         10'd236;
rom[225] =         10'd187;
rom[224] =         10'd207;
rom[223] =         10'd241;
rom[222] =         10'd125;
rom[221] =         10'd234;
rom[220] =         10'd183;
rom[219] =         10'd220;
rom[218] =         10'd123;
rom[217] =         10'd175;
rom[216] =         10'd233;
rom[215] =         10'd230;
rom[214] =         10'd218;
rom[213] =         10'd119;
rom[212] =         10'd159;
rom[211] =         10'd229;
rom[210] =         10'd217;
rom[209] =         10'd188;
rom[208] =         10'd214;
rom[207] =         10'd111;
rom[206] =         10'd227;
rom[205] =         10'd186;
rom[204] =         10'd213;
rom[203] =         10'd95;
rom[202] =         10'd206;
rom[201] =         10'd240;
rom[200] =         10'd185;
rom[199] =         10'd211;
rom[198] =         10'd182;
rom[197] =         10'd205;
rom[196] =         10'd124;
rom[195] =         10'd232;
rom[194] =         10'd181;
rom[193] =         10'd63;
rom[192] =         10'd203;
rom[191] =         10'd122;
rom[190] =         10'd174;
rom[189] =         10'd228;
rom[188] =         10'd179;
rom[187] =         10'd199;
rom[186] =         10'd121;
rom[185] =         10'd173;
rom[184] =         10'd118;
rom[183] =         10'd158;
rom[182] =         10'd216;
rom[181] =         10'd226;
rom[180] =         10'd171;
rom[179] =         10'd212;
rom[178] =         10'd117;
rom[177] =         10'd110;
rom[176] =         10'd157;
rom[175] =         10'd225;
rom[174] =         10'd167;
rom[173] =         10'd115;
rom[172] =         10'd184;
rom[171] =         10'd109;
rom[170] =         10'd210;
rom[169] =         10'd155;
rom[168] =         10'd204;
rom[167] =         10'd94;
rom[166] =         10'd209;
rom[165] =         10'd151;
rom[164] =         10'd180;
rom[163] =         10'd107;
rom[162] =         10'd202;
rom[161] =         10'd93;
rom[160] =         10'd178;
rom[159] =         10'd103;
rom[158] =         10'd143;
rom[157] =         10'd62;
rom[156] =         10'd201;
rom[155] =         10'd120;
rom[154] =         10'd172;
rom[153] =         10'd198;
rom[152] =         10'd91;
rom[151] =         10'd177;
rom[150] =         10'd61;
rom[149] =         10'd170;
rom[148] =         10'd116;
rom[147] =         10'd197;
rom[146] =         10'd87;
rom[145] =         10'd156;
rom[144] =         10'd114;
rom[143] =         10'd169;
rom[142] =         10'd59;
rom[141] =         10'd195;
rom[140] =         10'd166;
rom[139] =         10'd224;
rom[138] =         10'd108;
rom[137] =         10'd79;
rom[136] =         10'd154;
rom[135] =         10'd113;
rom[134] =         10'd55;
rom[133] =         10'd106;
rom[132] =         10'd165;
rom[131] =         10'd153;
rom[130] =         10'd150;
rom[129] =         10'd208;
rom[128] =         10'd47;
rom[127] =         10'd92;
rom[126] =         10'd163;
rom[125] =         10'd105;
rom[124] =         10'd102;
rom[123] =         10'd149;
rom[122] =         10'd90;
rom[121] =         10'd200;
rom[120] =         10'd31;
rom[119] =         10'd142;
rom[118] =         10'd176;
rom[117] =         10'd147;
rom[116] =         10'd101;
rom[115] =         10'd141;
rom[114] =         10'd196;
rom[113] =         10'd89;
rom[112] =         10'd60;
rom[111] =         10'd86;
rom[110] =         10'd99;
rom[109] =         10'd139;
rom[108] =         10'd168;
rom[107] =         10'd58;
rom[106] =         10'd85;
rom[105] =         10'd194;
rom[104] =         10'd78;
rom[103] =         10'd135;
rom[102] =         10'd112;
rom[101] =         10'd57;
rom[100] =         10'd83;
rom[99] =          10'd54;
rom[98] =          10'd164;
rom[97] =          10'd77;
rom[96] =          10'd152;
rom[95] =          10'd193;
rom[94] =          10'd53;
rom[93] =          10'd162;
rom[92] =          10'd104;
rom[91] =          10'd75;
rom[90] =          10'd46;
rom[89] =          10'd148;
rom[88] =          10'd51;
rom[87] =          10'd100;
rom[86] =          10'd45;
rom[85] =          10'd161;
rom[84] =          10'd71;
rom[83] =          10'd146;
rom[82] =          10'd30;
rom[81] =          10'd140;
rom[80] =          10'd88;
rom[79] =          10'd98;
rom[78] =          10'd43;
rom[77] =          10'd29;
rom[76] =          10'd145;
rom[75] =          10'd138;
rom[74] =          10'd84;
rom[73] =          10'd39;
rom[72] =          10'd97;
rom[71] =          10'd27;
rom[70] =          10'd56;
rom[69] =          10'd82;
rom[68] =          10'd137;
rom[67] =          10'd76;
rom[66] =          10'd134;
rom[65] =          10'd23;
rom[64] =          10'd52;
rom[63] =          10'd133;
rom[62] =          10'd15;
rom[61] =          10'd73;
rom[60] =          10'd50;
rom[59] =          10'd81;
rom[58] =          10'd131;
rom[57] =          10'd44;
rom[56] =          10'd70;
rom[55] =          10'd192;
rom[54] =          10'd160;
rom[53] =          10'd74;
rom[52] =          10'd49;
rom[51] =          10'd42;
rom[50] =          10'd69;
rom[49] =          10'd28;
rom[48] =          10'd144;
rom[47] =          10'd41;
rom[46] =          10'd67;
rom[45] =          10'd96;
rom[44] =          10'd38;
rom[43] =          10'd136;
rom[42] =          10'd22;
rom[41] =          10'd25;
rom[40] =          10'd37;
rom[39] =          10'd80;
rom[38] =          10'd26;
rom[37] =          10'd35;
rom[36] =          10'd132;
rom[35] =          10'd21;
rom[34] =          10'd72;
rom[33] =          10'd14;
rom[32] =          10'd48;
rom[31] =          10'd13;
rom[30] =          10'd19;
rom[29] =          10'd130;
rom[28] =          10'd68;
rom[27] =          10'd40;
rom[26] =          10'd11;
rom[25] =          10'd66;
rom[24] =          10'd129;
rom[23] =          10'd7;
rom[22] =          10'd36;
rom[21] =          10'd24;
rom[20] =          10'd34;
rom[19] =          10'd20;
rom[18] =          10'd65;
rom[17] =          10'd33;
rom[16] =          10'd12;
rom[15] =          10'd128;
rom[14] =          10'd18;
rom[13] =          10'd10;
rom[12] =          10'd17;
rom[11] =          10'd6;
rom[10] =          10'd9;
rom[9] =           10'd64;
rom[8] =           10'd5;
rom[7] =           10'd3;
rom[6] =           10'd32;
rom[5] =           10'd16;
rom[4] =           10'd8;
rom[3] =           10'd4;
rom[2] =           10'd2;
rom[1] =           10'd1;
rom[0] =           10'd0;
end
//assign 
always @ (*)
begin
if (en_256)
      //assign out_32 = rom[adr_32];
     out_256 = rom[adr_256];
else
    out_256 = 256'd0;
end   
endmodule
