`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 03.03.2021 09:52:53
// Design Name: 
// Module Name: relt_seq_512
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module relt_seq_512(
input wire en_512,
output reg [9:0] out_512,
input wire [9:0] adr_512); // address- 8 deep memory
// Declare a memory rom of 8 4-bit registers. The indices are 0 to 7:
(* synthesis, rom_block = "ROM_CELL XYZ01" *) reg [9:0] rom[0:511];
// (* synthesis, logic_block *) reg [3:0] rom [0:7];
initial begin
rom[511] =          10'd511;
rom[510] =           10'd510;
rom[509] =           10'd509;
rom[508] =           10'd507;
rom[507] =           10'd503;
rom[506] =           10'd495;
rom[505] =           10'd508;
rom[504] =           10'd479;
rom[503] =           10'd506;
rom[502] =           10'd505;
rom[501] =           10'd447;
rom[500] =           10'd501;
rom[499] =           10'd494;
rom[498] =           10'd502;
rom[497] =           10'd499;
rom[496] =           10'd493;
rom[495] =           10'd383;
rom[494] =           10'd478;
rom[493] =           10'd491;
rom[492] =           10'd477;
rom[491] =           10'd255;
rom[490] =           10'd504;
rom[489] =           10'd487;
rom[488] =           10'd475;
rom[487] =           10'd446;
rom[486] =           10'd500;
rom[485] =           10'd471;
rom[484] =           10'd445;
rom[483] =           10'd498;
rom[482] =           10'd382;
rom[481] =           10'd443;
rom[480] =           10'd492;
rom[479] =           10'd497;
rom[478] =           10'd381;
rom[477] =           10'd463;
rom[476] =           10'd490;
rom[475] =           10'd439;
rom[474] =           10'd476;
rom[473] =           10'd486;
rom[472] =           10'd489;
rom[471] =           10'd431;
rom[470] =           10'd379;
rom[469] =           10'd254;
rom[468] =           10'd474;
rom[467] =           10'd473;
rom[466] =           10'd485;
rom[465] =           10'd415;
rom[464] =           10'd483;
rom[463] =           10'd470;
rom[462] =           10'd444;
rom[461] =           10'd375;
rom[460] =           10'd253;
rom[459] =           10'd367;
rom[458] =           10'd247;
rom[457] =           10'd469;
rom[456] =           10'd441;
rom[455] =           10'd442;
rom[454] =           10'd462;
rom[453] =           10'd251;
rom[452] =           10'd438;
rom[451] =           10'd467;
rom[450] =           10'd351;
rom[449] =           10'd496;
rom[448] =           10'd461;
rom[447] =           10'd380;
rom[446] =           10'd437;
rom[445] =           10'd459;
rom[444] =           10'd378;
rom[443] =           10'd239;
rom[442] =           10'd488;
rom[441] =           10'd430;
rom[440] =           10'd484;
rom[439] =           10'd319;
rom[438] =           10'd435;
rom[437] =           10'd377;
rom[436] =           10'd455;
rom[435] =           10'd472;
rom[434] =           10'd223;
rom[433] =           10'd414;
rom[432] =           10'd427;
rom[431] =           10'd482;
rom[430] =           10'd373;
rom[429] =           10'd252;
rom[428] =           10'd429;
rom[427] =           10'd468;
rom[426] =           10'd366;
rom[425] =           10'd413;
rom[424] =           10'd481;
rom[423] =           10'd371;
rom[422] =           10'd250;
rom[421] =           10'd466;
rom[420] =           10'd423;
rom[419] =           10'd374;
rom[418] =           10'd440;
rom[417] =           10'd365;
rom[416] =           10'd411;
rom[415] =           10'd249;
rom[414] =           10'd460;
rom[413] =           10'd350;
rom[412] =           10'd246;
rom[411] =           10'd465;
rom[410] =           10'd436;
rom[409] =           10'd407;
rom[408] =           10'd191;
rom[407] =           10'd127;
rom[406] =           10'd363;
rom[405] =           10'd458;
rom[404] =           10'd245;
rom[403] =           10'd349;
rom[402] =           10'd434;
rom[401] =           10'd399;
rom[400] =           10'd457;
rom[399] =           10'd359;
rom[398] =           10'd238;
rom[397] =           10'd428;
rom[396] =           10'd376;
rom[395] =           10'd318;
rom[394] =           10'd454;
rom[393] =           10'd243;
rom[392] =           10'd347;
rom[391] =           10'd433;
rom[390] =           10'd237;
rom[389] =           10'd453;
rom[388] =           10'd426;
rom[387] =           10'd222;
rom[386] =           10'd317;
rom[385] =           10'd372;
rom[384] =           10'd343;
rom[383] =           10'd412;
rom[382] =           10'd235;
rom[381] =           10'd451;
rom[380] =           10'd425;
rom[379] =           10'd422;
rom[378] =           10'd370;
rom[377] =           10'd221;
rom[376] =           10'd315;
rom[375] =           10'd480;
rom[374] =           10'd335;
rom[373] =           10'd364;
rom[372] =           10'd190;
rom[371] =           10'd369;
rom[370] =           10'd248;
rom[369] =           10'd231;
rom[368] =           10'd410;
rom[367] =           10'd421;
rom[366] =           10'd311;
rom[365] =           10'd219;
rom[364] =           10'd409;
rom[363] =           10'd362;
rom[362] =           10'd464;
rom[361] =           10'd406;
rom[360] =           10'd419;
rom[359] =           10'd348;
rom[358] =           10'd215;
rom[357] =           10'd361;
rom[356] =           10'd189;
rom[355] =           10'd244;
rom[354] =           10'd303;
rom[353] =           10'd405;
rom[352] =           10'd358;
rom[351] =           10'd456;
rom[350] =           10'd346;
rom[349] =           10'd398;
rom[348] =           10'd242;
rom[347] =           10'd126;
rom[346] =           10'd236;
rom[345] =           10'd187;
rom[344] =           10'd357;
rom[343] =           10'd432;
rom[342] =           10'd207;
rom[341] =           10'd403;
rom[340] =           10'd397;
rom[339] =           10'd452;
rom[338] =           10'd345;
rom[337] =           10'd241;
rom[336] =           10'd316;
rom[335] =           10'd342;
rom[334] =           10'd125;
rom[333] =           10'd234;
rom[332] =           10'd183;
rom[331] =           10'd287;
rom[330] =           10'd355;
rom[329] =           10'd395;
rom[328] =           10'd424;
rom[327] =           10'd314;
rom[326] =           10'd220;
rom[325] =           10'd341;
rom[324] =           10'd123;
rom[323] =           10'd175;
rom[322] =           10'd233;
rom[321] =           10'd334;
rom[320] =           10'd450;
rom[319] =           10'd313;
rom[318] =           10'd391;
rom[317] =           10'd230;
rom[316] =           10'd368;
rom[315] =           10'd218;
rom[314] =           10'd339;
rom[313] =           10'd119;
rom[312] =           10'd333;
rom[311] =           10'd310;
rom[310] =           10'd420;
rom[309] =           10'd159;
rom[308] =           10'd229;
rom[307] =           10'd408;
rom[306] =           10'd217;
rom[305] =           10'd449;
rom[304] =           10'd188;
rom[303] =           10'd309;
rom[302] =           10'd214;
rom[301] =           10'd331;
rom[300] =           10'd111;
rom[299] =           10'd360;
rom[298] =           10'd302;
rom[297] =           10'd418;
rom[296] =           10'd227;
rom[295] =           10'd404;
rom[294] =           10'd186;
rom[293] =           10'd213;
rom[292] =           10'd417;
rom[291] =           10'd301;
rom[290] =           10'd307;
rom[289] =           10'd356;
rom[288] =           10'd402;
rom[287] =           10'd327;
rom[286] =           10'd95;
rom[285] =           10'd206;
rom[284] =           10'd240;
rom[283] =           10'd344;
rom[282] =           10'd396;
rom[281] =           10'd185;
rom[280] =           10'd401;
rom[279] =           10'd211;
rom[278] =           10'd354;
rom[277] =           10'd299;
rom[276] =           10'd286;
rom[275] =           10'd182;
rom[274] =           10'd205;
rom[273] =           10'd124;
rom[272] =           10'd232;
rom[271] =           10'd285;
rom[270] =           10'd295;
rom[269] =           10'd181;
rom[268] =           10'd394;
rom[267] =           10'd340;
rom[266] =           10'd63;
rom[265] =           10'd203;
rom[264] =           10'd353;
rom[263] =           10'd448;
rom[262] =           10'd122;
rom[261] =           10'd283;
rom[260] =           10'd393;
rom[259] =           10'd174;
rom[258] =           10'd390;
rom[257] =           10'd312;
rom[256] =           10'd338;
rom[255] =           10'd228;
rom[254] =           10'd179;
rom[253] =           10'd199;
rom[252] =           10'd121;
rom[251] =           10'd173;
rom[250] =           10'd389;
rom[249] =           10'd332;
rom[248] =           10'd118;
rom[247] =           10'd337;
rom[246] =           10'd158;
rom[245] =           10'd279;
rom[244] =           10'd271;
rom[243] =           10'd416;
rom[242] =           10'd216;
rom[241] =           10'd308;
rom[240] =           10'd387;
rom[239] =           10'd226;
rom[238] =           10'd330;
rom[237] =           10'd171;
rom[236] =           10'd212;
rom[235] =           10'd117;
rom[234] =           10'd110;
rom[233] =           10'd329;
rom[232] =           10'd157;
rom[231] =           10'd306;
rom[230] =           10'd326;
rom[229] =           10'd225;
rom[228] =           10'd167;
rom[227] =           10'd115;
rom[226] =           10'd184;
rom[225] =           10'd109;
rom[224] =           10'd300;
rom[223] =           10'd305;
rom[222] =           10'd210;
rom[221] =           10'd155;
rom[220] =           10'd325;
rom[219] =           10'd352;
rom[218] =           10'd400;
rom[217] =           10'd298;
rom[216] =           10'd204;
rom[215] =           10'd94;
rom[214] =           10'd284;
rom[213] =           10'd209;
rom[212] =           10'd151;
rom[211] =           10'd180;
rom[210] =           10'd107;
rom[209] =           10'd297;
rom[208] =           10'd392;
rom[207] =           10'd323;
rom[206] =           10'd202;
rom[205] =           10'd93;
rom[204] =           10'd294;
rom[203] =           10'd178;
rom[202] =           10'd103;
rom[201] =           10'd143;
rom[200] =           10'd282;
rom[199] =           10'd62;
rom[198] =           10'd336;
rom[197] =           10'd201;
rom[196] =           10'd120;
rom[195] =           10'd172;
rom[194] =           10'd198;
rom[193] =           10'd91;
rom[192] =           10'd388;
rom[191] =           10'd293;
rom[190] =           10'd177;
rom[189] =           10'd278;
rom[188] =           10'd281;
rom[187] =           10'd61;
rom[186] =           10'd170;
rom[185] =           10'd116;
rom[184] =           10'd197;
rom[183] =           10'd87;
rom[182] =           10'd156;
rom[181] =           10'd277;
rom[180] =           10'd114;
rom[179] =           10'd169;
rom[178] =           10'd59;
rom[177] =           10'd291;
rom[176] =           10'd275;
rom[175] =           10'd270;
rom[174] =           10'd195;
rom[173] =           10'd166;
rom[172] =           10'd224;
rom[171] =           10'd108;
rom[170] =           10'd269;
rom[169] =           10'd79;
rom[168] =           10'd154;
rom[167] =           10'd113;
rom[166] =           10'd328;
rom[165] =           10'd55;
rom[164] =           10'd106;
rom[163] =           10'd165;
rom[162] =           10'd153;
rom[161] =           10'd150;
rom[160] =           10'd386;
rom[159] =           10'd208;
rom[158] =           10'd324;
rom[157] =           10'd385;
rom[156] =           10'd267;
rom[155] =           10'd47;
rom[154] =           10'd92;
rom[153] =           10'd163;
rom[152] =           10'd296;
rom[151] =           10'd304;
rom[150] =           10'd105;
rom[149] =           10'd102;
rom[148] =           10'd149;
rom[147] =           10'd263;
rom[146] =           10'd322;
rom[145] =           10'd292;
rom[144] =           10'd90;
rom[143] =           10'd200;
rom[142] =           10'd31;
rom[141] =           10'd321;
rom[140] =           10'd142;
rom[139] =           10'd176;
rom[138] =           10'd147;
rom[137] =           10'd101;
rom[136] =           10'd141;
rom[135] =           10'd196;
rom[134] =           10'd290;
rom[133] =           10'd89;
rom[132] =           10'd280;
rom[131] =           10'd60;
rom[130] =           10'd86;
rom[129] =           10'd99;
rom[128] =           10'd139;
rom[127] =           10'd168;
rom[126] =           10'd58;
rom[125] =           10'd276;
rom[124] =           10'd85;
rom[123] =           10'd194;
rom[122] =           10'd289;
rom[121] =           10'd78;
rom[120] =           10'd135;
rom[119] =           10'd112;
rom[118] =           10'd57;
rom[117] =           10'd83;
rom[116] =           10'd54;
rom[115] =           10'd274;
rom[114] =           10'd268;
rom[113] =           10'd164;
rom[112] =           10'd77;
rom[111] =           10'd152;
rom[110] =           10'd193;
rom[109] =           10'd53;
rom[108] =           10'd162;
rom[107] =           10'd104;
rom[106] =           10'd273;
rom[105] =           10'd266;
rom[104] =           10'd75;
rom[103] =           10'd46;
rom[102] =           10'd148;
rom[101] =           10'd51;
rom[100] =           10'd100;
rom[99] =            10'd45;
rom[98] =            10'd161;
rom[97] =            10'd265;
rom[96] =            10'd262;
rom[95] =            10'd71;
rom[94] =            10'd146;
rom[93] =            10'd30;
rom[92] =            10'd140;
rom[91] =            10'd88;
rom[90] =            10'd98;
rom[89] =            10'd43;
rom[88] =            10'd29;
rom[87] =            10'd261;
rom[86] =            10'd145;
rom[85] =            10'd138;
rom[84] =            10'd84;
rom[83] =            10'd259;
rom[82] =            10'd39;
rom[81] =            10'd97;
rom[80] =            10'd27;
rom[79] =            10'd56;
rom[78] =            10'd82;
rom[77] =            10'd137;
rom[76] =            10'd76;
rom[75] =            10'd384;
rom[74] =            10'd134;
rom[73] =            10'd23;
rom[72] =            10'd52;
rom[71] =            10'd133;
rom[70] =            10'd320;
rom[69] =            10'd15;
rom[68] =            10'd73;
rom[67] =            10'd50;
rom[66] =            10'd81;
rom[65] =            10'd131;
rom[64] =            10'd44;
rom[63] =            10'd70;
rom[62] =            10'd192;
rom[61] =            10'd288;
rom[60] =            10'd160;
rom[59] =            10'd272;
rom[58] =            10'd74;
rom[57] =            10'd49;
rom[56] =            10'd42;
rom[55] =            10'd69;
rom[54] =            10'd28;
rom[53] =            10'd144;
rom[52] =            10'd41;
rom[51] =            10'd67;
rom[50] =            10'd96;
rom[49] =            10'd38;
rom[48] =            10'd264;
rom[47] =            10'd260;
rom[46] =            10'd136;
rom[45] =            10'd22;
rom[44] =            10'd25;
rom[43] =            10'd37;
rom[42] =            10'd80;
rom[41] =            10'd26;
rom[40] =            10'd258;
rom[39] =            10'd35;
rom[38] =            10'd132;
rom[37] =            10'd21;
rom[36] =            10'd257;
rom[35] =            10'd72;
rom[34] =            10'd14;
rom[33] =            10'd48;
rom[32] =            10'd13;
rom[31] =            10'd19;
rom[30] =            10'd130;
rom[29] =            10'd68;
rom[28] =            10'd40;
rom[27] =            10'd11;
rom[26] =            10'd66;
rom[25] =            10'd129;
rom[24] =            10'd7;
rom[23] =            10'd36;
rom[22] =            10'd24;
rom[21] =            10'd34;
rom[20] =            10'd256;
rom[19] =            10'd20;
rom[18] =            10'd65;
rom[17] =            10'd33;
rom[16] =            10'd12;
rom[15] =            10'd128;
rom[14] =            10'd18;
rom[13] =            10'd10;
rom[12] =            10'd17;
rom[11] =            10'd6;
rom[10] =            10'd9;
rom[9] =             10'd64;
rom[8] =             10'd5;
rom[7] =             10'd3;
rom[6] =             10'd32;
rom[5] =             10'd16;
rom[4] =             10'd8;
rom[3] =             10'd4;
rom[2] =             10'd2;
rom[1] =             10'd1;
rom[0] =             10'd0;
end

always @ (*)
begin
if (en_512)
      //assign out_32 = rom[adr_32];
     out_512 = rom[adr_512];
else
    out_512 = 512'd0;
end 
endmodule